{% extends 'base.html' %}

{% block content %}
<div class="container mt">

    <div class="row">
        <div class="col-1">
            <ul class="nav">
                <li class="nav-item">
                    <span class="nav-link">Hooks:</span>
                </li>
            </ul>
        </div>
        <div class="col">
            <ul class="nav">
                <li class="nav-item">
                    <a class="nav-link disabled" href="#"><strong>0</strong> Push</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link disabled" href="#"><strong>0</strong> Tag Push</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link disabled" href="#"><strong>0</strong> Issue</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link disabled" href="#"><strong>0</strong> Note</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link disabled" href="#"><strong>0</strong> Merge Request</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link disabled" href="#"><strong>0</strong> Wiki Page</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{ url_for('project_webhooks_add_pipeline', id=project.id) }}">
                        <strong>{{ pipeline_hooks|length }}</strong> Pipeline
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link disabled" href="#"><strong>0</strong> Job</a>
                </li>
            </ul>
        </div>
    </div>
    {% if pipeline_hooks %}
    <!-- add https://getbootstrap.com/docs/4.4/content/tables/#contextual-classes -->
    <div class="row mt-3">
        <table class="table">
            <caption>Pipeline hooks</caption>
            <thead class="thead-dark">
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">Branch</th>
                    <th scope="col">Status</th>
                    <th scope="col">Service</th>
                    <th scope="col">Filename</th>
                </tr>
            </thead>
            <tbody>
                {% for i in range(pipeline_hooks|length) %}
                <tr>
                    <th scope="row">{{ i + 1 }}</th>
                    <td>{{ pipeline_hooks[i].branch }}</td>
                    <td>{{ pipeline_hooks[i].status }}</td>
                    <td>{{ pipeline_hooks[i].service }}</td>
                    <td>{{ pipeline_hooks[i].filename }}</td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
    {% endif %}
</div>
{% endblock %}